[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CNKeyUp

CNKeyUp - control message for key up

## Declaration

Source position: controls.pp line 1778

`protected procedure TWinControl.CNKeyUp(`
`var Message: TLMKeyUp`
`); message;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .